/*
 *    Copyright  1996, 1997, 1998, 1999, 2000 by Remco Treffkorn
 *    Distributed under the terms of the Q Public License. Please see
 *    the included file LICENSE.
 */
#include "config.h"

#include <stdio.h>

#include <Xm/DialogS.h>

#include <Xm/ScrolledW.h>
#include <Xm/Label.h>
#include <Xm/MwmUtil.h>
#include <Xm/Frame.h>
#include <assert.h>

#include "xmap.h"
#include "debug.h"

#define NDEBUG

extern Widget toplevel;
static Widget label = NULL;

void do_tip(Widget main_w, Widget w, char *tip, Position offset, OptionsRec *options)
{
    XmString s;
    Position x, y;

    if (!options->toolhelp)
	return;

    if ( /*FIXME*/ !label) {
	Pixel bcolor = get_pixel(w, "#ffffc0");
	label = XtVaCreateWidget("tipl",
				 xmLabelWidgetClass, main_w,
				 XmNbackground, bcolor,
				 XmNborderWidth, 1,
				 NULL);
    }
    s = XmStringCreateSimple(tip);
    XtVaSetValues(label,
		  XmNlabelString, s,
		  NULL);
    XmStringFree(s);

    XtVaGetValues(w,
		  XmNx, &x,
		  XmNy, &y,
		  NULL);

    XtVaSetValues(label,
		  XmNx, x + 10,
		  XmNy, y + offset,
		  NULL);

    XtManageChild(label);
}

void undo_tip(OptionsRec *options)
{
    if (!options->toolhelp)
	return;

    assert(label!=NULL);

    XtDestroyWidget(label);
    label = NULL;
}
